<?php

add_filter('cmb_meta_boxes', 'stallion_aioseo_key2');

/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_aioseo_key2(array $meta_boxes) {
// Start with an underscore to hide fields from custom fields list
$prefix = '';
$meta_boxes[] = array(
'id' => 'stallion_aioseo_key2',
'title' => 'Stallion Google Panda Buster Related Keyphrases + All In One SEO Pack Options',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'All In One SEO Title',
'desc' => 'Google used to show a maximum number of 60 characters for the title of a Google search, this is no longer the case. The number shown depends on the pixel width of the title, a title with narrow letters like i will use less space than letters like capital H allowing for more/less characters to fit in the given space: could be anywhere between 50 and 70 characters for an average title. If this WordPress post is important check your title using the <a href="http://moz.com/blog/new-title-tag-guidelines-preview-tool" target="_blank">Moz Title tag preview tool</a> AND double check a Google SERP after the title is indexed, see if it is cut. If you want to ensure no title cut off aim for around 55 characters.<br /><br />Google indexes more than the characters shown and uses the entire title as a ranking factor, but more keywords added means each keyword benefits less (the title tag SEO benefit is shared equally over all words).<br />The title element is one of, if not the most important on page SEO factor, aim for a main keyword phrase and possibly a secondary related phrase (more you add less likely to gain any of them!), don`t add too many keywords - 3 to 10 words tends to work best and make it readable (not a list of keywords).<br /><br />The Title Tag you add above is used for the following:<br />Title Tag for this Post/Page.<br />"Comment on Title of Post/Page" links associated with comments on this post/page.<br />Continue Reading "Title of Post" links on archive pages.<br />Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget.<br />Stallion SEO Super Comments pages: Comment on link back to original post/page.<br /><br />Resources: <a href="http://stallion-theme.co.uk/wordpress-title-element-tag-optimization/" target="_blank">WordPress Title Tag Optimization</a> : <a href="http://stallion-theme.co.uk/seo-title-tag/" target="_blank">Title Optimization</a>. What you add here will also work with the All In One SEO Pack Plugin.',
'id' => $prefix . '_aioseop_title',
'type' => 'text',
),
array(
'name' => 'Keyphrase 1',
'desc' => 'When comments are enabled the comment heading "## responses to Title of Post" becomes "## responses to Related Keyphrase 1" when the above is set.<br />On Stallion SEO Super Comments pages the "Reply to Comment Title of Post/Page" link become "Reply to Comment Related Keyphrase 1" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_1',
'type' => 'text',
),
array(
'name' => 'Keyphrase 2',
'desc' => 'When comments are enabled the comment heading "Leave a reply to Title of Post" becomes "Leave a reply to Related Keyphrase 2" when the above is set.<br />On Stallion SEO Super Comments pages under More comments by Author section the first link back to the comment (which is on the original post/page) becomes "Related Keyphrase 2" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_2',
'type' => 'text',
),
array(
'name' => 'Keyphrase 3',
'desc' => 'When comments and Stallion SEO Super Comments are enabled, comments that meet the SEO Super Comments criteria (reasonable size comments) the link at the bottom of the comment to the SEO Super Comment will be "Related Keyphrase 3" when the above is set and no Comment title is set.<br />On Stallion SEO Super Comments pages under More comments by Author section the second Continue Reading link back to the comment (which is on the original post/page) becomes "Related Keyphrase 3" when the above is set. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_3',
'type' => 'text',
),
array(
'name' => 'Keyphrase 4',
'desc' => 'When you use the <a href="http://stallion-theme.co.uk/wordpress-seo-plugins/" target="_blank">Stallion Related Posts Plugin</a> the "Related Articles to Title of Post" heading will becomes "Related Articles to Related Keyphrase 4" when the above is set.<br /><br />All Four Google Panda Buster Keyphrases are used as Title Tags and H1 Headers when under Stallion > SEO Advanced Options : Paged Comments Title Tags ON is set and a post has paged comments. Links generated by the Stallion WordPress SEO Recent Comments widget and the Stallion SEO Posts widget can also use this text.',
'id' => $prefix . '_aioseop_kw_4',
'type' => 'text',
),
array(
'name' => 'All In One Meta Description',
'desc' => 'Most search engines use a maximum of 160 characters for the Meta Description Tag. The contents of the meta description tag is NOT used by Google as a ranking factor, but might be used as your sites description for a Google SERP.<br />Try to write descriptions like short ads to increase click through rates, do not waste your time keyword stuffing, but do include your main keyword phrase once so it`s highlighted on a Google SERP.<br /><br />Resources: <a href="http://stallion-theme.co.uk/wordpress-meta-tags-optimization/" target="_blank">WordPress Meta Tags Optimization</a> : <a href="http://stallion-theme.co.uk/seo-meta-tags/" target="_blank">Meta Tags Optimization</a>. What you add here will also work with the All In One SEO Pack Plugin.',
'id' => $prefix . '_aioseop_description',
'type' => 'textarea_small',
),
array(
'name' => 'All In One Meta Keywords',
'desc' => 'Comma separated keywords list relevant to this PAGE only. The meta keywords tag is NOT used by Google as a ranking factor or for anything SEO relevant, do not waste your time adding keywords here for Google. What you add here will also work with the All In One SEO Pack Plugin.',
'id' => $prefix . '_aioseop_keywords',
'type' => 'text',
),
),
);
return $meta_boxes;
}

add_action('init', 'stallion_aioseo_key2_init', 9999);

/**
 * Initialize the metabox class.
 */
function stallion_aioseo_key2_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}

?>