<?php

add_filter('cmb_meta_boxes', 'stallion_photonav');

/**
 * Define the metabox and field configurations.
 *
 * @param  array $meta_boxes
 * @return array
 */
function stallion_photonav(array $meta_boxes) {

// Start with an underscore to hide fields from custom fields list
$prefix = '';

$meta_boxes[] = array(
'id' => 'stallion_stallion_photonav',
'title' => 'Stallion Photo Navigation Image',
'pages' => array('post', 'page'), // Post type
'context' => 'normal',
'priority' => 'high',
'show_names' => true, // Show field names on the left
'fields' => array(
array(
'name' => 'Photo Navigation Menu Image',
'desc' => 'Upload an image you wish to use with the Stallion Photo Navigation Menu. Ideally the image would be 300px by 200px, if not Stallion will zoom and crop the image using Timthumb 2. Make a Photo Navigation menu under Appearance >> Menus.',
'id' => $prefix . 'photothumb',
'type' => 'file',
),
),
);
return $meta_boxes;
}

add_action('init', 'stallion_photonav_init', 9999);

/**
 * Initialize the metabox class.
 */
function stallion_photonav_init() {
if (!class_exists('cmb_Meta_Box'))
require_once 'init.php';
}

?>