<?php /* Stallion Single Post/Page widget */
add_action('add_meta_boxes', 'stallion_spw_add_meta_boxes');
add_action('save_post', 'stallion_spw_save_meta', 10, 2);

function stallion_spw_add_meta_boxes() {
add_meta_box(
'stallion-spws-box', 'Stallion Single Post Widget', 'stallion_spw_meta_box', 'post', 'advanced', 'default'
);
add_meta_box(
'stallion-spws-box', 'Stallion Single Post Widget', 'stallion_spw_meta_box', 'page', 'advanced', 'default'
);
}

function stallion_spw_meta_box($object, $box) {
wp_nonce_field(basename(__FILE__), 'stallion_spw_nonce');
?>
<?php echo '<h4>Content added below will be shown at the location where you add the "Stallion Single Post widget" under <a href="widgets.php">"Appearance" >> "Widgets"</a>. The widget is ONLY shown on Blog Posts and Static Pages with content added below.</h4>'; ?>
<p><label for="stallion-spws-title-box"><?php _e('Enter the Title, or leave blank for no Title', 'stallion'); ?></label>
<br />
<input class="widefat" type="text" name="stallion-spws-title-box" id="stallion-spws-title-box" value="<?php echo esc_attr(get_post_meta($object->ID, '_stallion_spw_title_key', true)); ?>" size="30" />
<label for="stallion-spws-box"><?php _e('Add Text or Code that you would like displayed in the Stallion Single Post Widget.', 'stallion'); ?></label>
<br />
<textarea rows="20" cols="40" style="height: 10em; margin: 0; width: 98%;" name="stallion-spws-box" id="stallion-spws-box" ><?php echo esc_attr(get_post_meta($object->ID, '_stallion_spw_meta_key', true)); ?></textarea>
</p>

<?php echo "<p>Also available as shortcode by adding <strong>&lt;?php do_action( 'stallion_spw_template_tag' ); ?&gt;</strong> to a Static Page template for example.</p>"; ?>

<?php
}

function stallion_spw_save_meta($post_id, $post) {
if (!isset($_POST['stallion_spw_nonce']) || !wp_verify_nonce($_POST['stallion_spw_nonce'], basename(__FILE__)))
return $post_id;

if ('page' == $_POST['post_type']) {
if (!current_user_can('edit_page', $post_id))
return;
}
else {
if (!current_user_can('edit_post', $post_id))
return;
}

$stallion_spw_meta_value = $_POST['stallion-spws-box'];
$stallion_spw_title_meta_value = $_POST['stallion-spws-title-box'];

global $stallion_spw_data_key;
global $stallion_spw_title_key;
$stallion_spw_data_key = '_stallion_spw_meta_key';
$stallion_spw_title_key = '_stallion_spw_title_key';

$stallion_spw_data_value = get_post_meta($post_id, $stallion_spw_data_key, true);
$stallion_spw_title_value = get_post_meta($post_id, $stallion_spw_title_key, true);

if ($stallion_spw_meta_value && '' == $stallion_spw_data_value)
add_post_meta($post_id, $stallion_spw_data_key, $stallion_spw_meta_value, true);

elseif ($stallion_spw_meta_value && $stallion_spw_meta_value != $stallion_spw_data_value)
update_post_meta($post_id, $stallion_spw_data_key, $stallion_spw_meta_value);

elseif ('' == $stallion_spw_meta_value && $stallion_spw_data_value)
delete_post_meta($post_id, $stallion_spw_data_key, $stallion_spw_data_value);

if ($stallion_spw_title_meta_value && '' == $stallion_spw_title_value)
add_post_meta($post_id, $stallion_spw_title_key, $stallion_spw_title_meta_value, true);

elseif ($stallion_spw_title_meta_value && $stallion_spw_title_meta_value != $stallion_spw_title_value)
update_post_meta($post_id, $stallion_spw_title_key, $stallion_spw_title_meta_value);

elseif ('' == $stallion_spw_title_meta_value && $stallion_spw_title_value)
delete_post_meta($post_id, $stallion_spw_title_key, $stallion_spw_title_meta_value);
}

add_action('stallion_spw_template_tag', 'stallion_spw_template_tag');

function stallion_spw_template_tag() {
global $post;
$stallion_spw_display = get_post_meta($post->ID, '_stallion_spw_meta_key', true);
$stallion_spw_display_title = get_post_meta($post->ID, '_stallion_spw_title_key', true);
$stallion_spw_display = do_shortcode($stallion_spw_display);
if (is_singular()) {
if ($stallion_spw_display) {

echo '<div class="st_singlepost_con">';
$use_post_title = (int) get_option('stallion_spw_widget_use_post_title');
if ($use_post_title) {
echo '<div class="st_singlepost">';
the_title();
echo '</div>';
} else {
if ($stallion_spw_display_title) {
echo '<div class="st_singlepost">';
echo $stallion_spw_display_title;
echo '</div>';
} else {
echo '<br />';
}
}
echo $stallion_spw_display;
echo '</div>';
} else {
return;
}
}
}

function stallion_spw_widget() {
global $post;
$stallion_spw_display = get_post_meta($post->ID, '_stallion_spw_meta_key', true);
$stallion_spw_display_title = get_post_meta($post->ID, '_stallion_spw_title_key', true);
$stallion_spw_display = do_shortcode($stallion_spw_display);
if (is_singular()) {
if ($stallion_spw_display) {
echo '<div class="widget-container">';
$use_post_title = (int) get_option('stallion_spw_widget_use_post_title');
if ($use_post_title) {
echo '<span class="gat_widget">';
the_title();
echo '</span>';
} else {
if ($stallion_spw_display_title) {
echo '<span class="gat_widget">';
echo $stallion_spw_display_title;
echo '</span>';
} else {
echo '<br />';
}
}
echo $stallion_spw_display;
echo '</div>';
} else {
return;
}
}
}

wp_register_sidebar_widget('stallion_spw_widget_id', 'Stallion Single Post Widget', 'stallion_spw_widget', array('description' => 'Show ONLY on Blog Posts and Static Pages that have content added to the "Stallion Single Post Widget" meta box on the edit Post/Page screen.')
);

function stallion_spw_widget_control() {
if (isset($_POST['stallion_spw_widget_use_post_title'])) {
$use_post_title = (int) $_POST['stallion_spw_widget_use_post_title'];
update_option('stallion_spw_widget_use_post_title', $use_post_title);
} else {
$use_post_title = (int) get_option('stallion_spw_widget_use_post_title');
}
?>
<p>
<input name="stallion_spw_widget_use_post_title" type="hidden" value="0" />
<input id="stallion_spw_widget_use_post_title" name="stallion_spw_widget_use_post_title" type="checkbox" value="1" <?php if ($use_post_title) echo 'checked="checked" '; ?>/>
<label for="stallion_spw_widget_use_post_title">Use Posts Title as Widget Title</label>
</p>

<?php
}

wp_register_widget_control('stallion_spw_widget_id', 'my Based On Post', 'stallion_spw_widget_control');
?>